> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riyadhparking.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Parking Capacity



## OpenAPI

````yaml PUT /sites/public/site-capacity
openapi: 3.0.1
info:
  title: Remat Application
  version: v1
servers:
  - url: /spsr-api
    description: Default Server URL
security:
  - Authorization: []
tags:
  - name: Authentication
    description: Authentication endpoints
  - name: Site Controller
    description: Handles site-related operations
  - name: Violation Controller
    description: Handles violation-related operations
  - name: Ticket Controller
    description: Handles ticket-related operations
  - name: Ticket Guest Controller
    description: Handles guest ticket-related operations
paths:
  /sites/public/site-capacity:
    put:
      tags:
        - Site Controller
      summary: Update site capacity
      operationId: updateSiteCapacity
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSiteCapacityModel'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteCapacityResponse'
components:
  schemas:
    UpdateSiteCapacityModel:
      type: object
      required:
        - zoneId
      properties:
        zoneId:
          type: string
          format: uuid
        availableCapacity:
          type: integer
          format: int32
        slotsChanged:
          type: integer
          format: int32
    SiteCapacityResponse:
      type: object
      properties:
        zoneId:
          type: string
          format: uuid
        availableSlots:
          type: integer
          format: int32
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: JWT

````